org.apache.lucene.index

## Class AssertingLeafReader.AssertingPointValues

- java.lang.Object
- - org.apache.lucene.index.PointValues
  - - org.apache.lucene.index.AssertingLeafReader.AssertingPointValues

Enclosing class:
  AssertingLeafReader

    public static class AssertingLeafReader.AssertingPointValues
    extends PointValues

Wraps a SortedSetDocValues but with additional asserts

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.index.PointValues

`PointValues.IntersectVisitor, PointValues.Relation`

### Field Summary

### Fields inherited from class org.apache.lucene.index.PointValues

`MAX_DIMENSIONS, MAX_NUM_BYTES`

### Constructor Summary

Constructors
Constructor and Description
`AssertingPointValues(PointValues in, int maxDoc)` Sole constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `estimatePointCount(PointValues.IntersectVisitor visitor)`
`int` `getBytesPerDimension()`
`int` `getDocCount()`
`byte[]` `getMaxPackedValue()`
`byte[]` `getMinPackedValue()`
`int` `getNumDataDimensions()`
`int` `getNumIndexDimensions()`
`PointValues` `getWrapped()`
`void` `intersect(PointValues.IntersectVisitor visitor)`
`long` `size()`

### Methods inherited from class org.apache.lucene.index.PointValues

`estimateDocCount, getDocCount, getMaxPackedValue, getMinPackedValue, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AssertingPointValues

    public AssertingPointValues(PointValues in,
                                int maxDoc)

Sole constructor.

### Method Detail

#### getWrapped

    public PointValues getWrapped()

#### intersect

    public void intersect(PointValues.IntersectVisitor visitor)
                   throws IOException

Specified by:
  `intersect` in class `PointValues`
Throws:
  `IOException`

#### estimatePointCount

    public long estimatePointCount(PointValues.IntersectVisitor visitor)

Specified by:
  `estimatePointCount` in class `PointValues`

#### getMinPackedValue

    public byte[] getMinPackedValue()
                             throws IOException

Specified by:
  `getMinPackedValue` in class `PointValues`
Throws:
  `IOException`

#### getMaxPackedValue

    public byte[] getMaxPackedValue()
                             throws IOException

Specified by:
  `getMaxPackedValue` in class `PointValues`
Throws:
  `IOException`

#### getNumDataDimensions

    public int getNumDataDimensions()
                             throws IOException

Specified by:
  `getNumDataDimensions` in class `PointValues`
Throws:
  `IOException`

#### getNumIndexDimensions

    public int getNumIndexDimensions()
                              throws IOException

Specified by:
  `getNumIndexDimensions` in class `PointValues`
Throws:
  `IOException`

#### getBytesPerDimension

    public int getBytesPerDimension()
                             throws IOException

Specified by:
  `getBytesPerDimension` in class `PointValues`
Throws:
  `IOException`

#### size

    public long size()

Specified by:
  `size` in class `PointValues`

#### getDocCount

    public int getDocCount()

Specified by:
  `getDocCount` in class `PointValues`